Page MenuHomePhabricator

elm/genlist: check for item invalidation after setting item focus on click
ClosedPublic

Authored by zmike on Aug 14 2018, 1:30 PM.

Details

Summary

if the item is deleted during a focus callback then the remainder of this function
must be skipped in order to avoid crashing when attempting to access deallocated
memory

ref T7292

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 14 2018, 1:30 PM
zmike requested review of this revision.Aug 14 2018, 1:30 PM
SanghyeonLee accepted this revision.EditedAug 20 2018, 9:29 PM

I'm pretty much not sure deleting item in focus is normal behavior that we have to take care, but this patch works well in those cases.

This revision is now accepted and ready to land.Aug 20 2018, 9:29 PM
zmike added a comment.Aug 21 2018, 7:06 AM

Yes, I think this is probably not a normal case, but I guess it must be handled correctly just to be sure..

This revision was automatically updated to reflect the committed changes.